# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class Service.Versions

    java.lang.Object
      com.google.gdata.client.Service.Versions

Enclosing class:
  Service

    public static class Service.Versions

extends java.lang.Object

The Versions class defines `Version` constants representing the set of active versions of the GData core protocol and common data model classes.

Field Summary
`static Version` `V1` Version 1.
`static Version` `V2` Version 2.
`static Version` `V2_1` Version `2.1`.
`static Version` `V2_2` Version `2.2`.
`static Version` `V3` Version 3.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### V1

    public static final Version V1

  Version 1. GData core protocol released in May 2006 and is still in use by version 1 of some GData services.

### V2

    public static final Version V2

  Version 2. GData core protocol release that brings full alignment with the now standard Atom Publishing Protocol specification and migrates to OpenSearch 1.1.

### V2_1

    public static final Version V2_1

  Version `2.1`. Support new gd:kind attribute on feeds and entries.

### V2_2

    public static final Version V2_2

  Version `2.2`. Unreleased next minor version of the GData protocol.

### V3

    public static final Version V3

  Version 3. Unreleased next major version of the GData protocol that will default to structured error messages.